"LoadError: no such file to load -- openssl", following Rails Guides

[With apologies for cross-posting at http://railsforum.com/viewtopic.php?id=39587]

Hi all,

I'm following the edge 'getting started' guide at
http://guides.rails.info/getting_started.html, running ROR 3. I'm
running Ruby 1.9.2 (as instructed by the guide), installed using RVM.

I get an error when following "4.3 Setting the Application Home
Page". When making a request to http://localhost:3000/ , I get:

lm@office:~/blog$ rails server
=> Booting WEBrick
=> Rails 3.0.0.beta4 application starting in development on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
[2010-06-17 17:40:09] INFO WEBrick 1.3.1
[2010-06-17 17:40:09] INFO ruby 1.9.2 (2010-05-31) [i686-linux]
[2010-06-17 17:40:09] INFO WEBrick::HTTPServer#start: pid=15264
port=3000
[2010-06-17 17:40:16] ERROR LoadError: no such file to load -- openssl
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`block in require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`block in load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:554:in
`new_constants_in'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/rubies/ruby-1.9.2-preview3/lib/ruby/1.9.1/net/
https.rb:92:in `<top (required)>'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`block in require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`block in load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:554:in
`new_constants_in'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activeresource-3.0.0.beta4/lib/active_resource/connection.rb:2:in
`<top (required)>'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`block in require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`block in load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:554:in
`new_constants_in'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:198:in
`load_dependency'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:212:in
`require'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activeresource-3.0.0.beta4/lib/active_resource/base.rb:17:in `<top
(required)>'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activeresource-3.0.0.beta4/lib/active_resource/railties/
log_subscriber.rb:11:in `logger'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/log_subscriber.rb:76:in `map'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/log_subscriber.rb:76:in `flushable_loggers'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/log_subscriber.rb:84:in `flush_all!'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/rack/logger.rb:30:in `after_dispatch'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/rack/logger.rb:16:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/rack-1.1.0/lib/rack/
runtime.rb:17:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/
activesupport-3.0.0.beta4/lib/active_support/cache/strategy/
local_cache.rb:72:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/rack-1.1.0/lib/rack/
lock.rb:11:in `block in call'
    <internal:prelude>:10:in `synchronize'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/rack-1.1.0/lib/rack/
lock.rb:11:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/actionpack-3.0.0.beta4/
lib/action_dispatch/middleware/static.rb:30:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/application.rb:145:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/application.rb:81:in `method_missing'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/railties-3.0.0.beta4/
lib/rails/rack/log_tailer.rb:15:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/rack-1.1.0/lib/rack/
content_length.rb:13:in `call'
    /home/lm/.rvm/gems/ruby-1.9.2-preview3/gems/rack-1.1.0/lib/rack/
handler/webrick.rb:48:in `service'
    /home/lm/.rvm/rubies/ruby-1.9.2-preview3/lib/ruby/1.9.1/webrick/
httpserver.rb:111:in `service'
    /home/lm/.rvm/rubies/ruby-1.9.2-preview3/lib/ruby/1.9.1/webrick/
httpserver.rb:70:in `run'
    /home/lm/.rvm/rubies/ruby-1.9.2-preview3/lib/ruby/1.9.1/webrick/
server.rb:183:in `block in start_thread'

The important line apparently being "LoadError: no such file to load
-- openssl".

The net suggested installing libssl-dev (on Ubuntu 10.04), which I
did, then recompiling Ruby, which I did (via running `rvm install
1.9.2` again). This didn't help.

There don't seem to be any gems for openssl, so I can't see that it's
that.

Now I'm out of ideas.

bump. presumably this is a simple issue.

OK, I got it fixed, following the instructions at http://www.ruby-forum.com/topic/90083 .

I’m still not really happy, though. How many more issues are there going to be for which I am going to have to recompile Ruby? And why did this configure/compile not happen when I installed ruby, from source, using rvm install 1.9.2?